"""Handler for claiming all user rank rewards"""

from typing import Any

from ... import helper, user_input_handler


def claim(save_stats: dict[str, Any]) -> dict[str, Any]:
    """Claim all user rank rewards"""

    save_stats["user_rank_rewards"] = [1] * len(save_stats["user_rank_rewards"])

    helper.colored_text("모든 사용자 등급 보상 청구", helper.GREEN)

    return save_stats


def edit_rewards(save_stats: dict[str, Any]) -> dict[str, Any]:
    """Edit all user rank rewards"""

    option = user_input_handler.select_single(
        [
            "모든 사용자 등급 보상 청구",
            "모든 사용자 순위 보상 지우기",
            "뒤로가기",
        ],
    )
    if option == 1:
        save_stats = claim(save_stats)
    elif option == 2:
        save_stats = clear(save_stats)
    return save_stats


def clear(save_stats: dict[str, Any]) -> dict[str, Any]:
    """Clear all user rank rewards"""

    save_stats["user_rank_rewards"] = [0] * len(save_stats["user_rank_rewards"])

    helper.colored_text("모든 사용자 등급 보상 미청구", helper.GREEN)

    return save_stats
